Bug 1247590 - subscription-manager: remove dependency on usermode
subscription-manager: remove dependency on usermode
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 07:50 EDT by Florian Weimer
Modified: 2016-12-26 21:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 14:27:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2015-07-28 07:50:46 EDT
It would be nice to have subscription-manager packages which do not depend on usermode in any way.  This would reduce the size of minimal installs, and would also get rid of some SUID binaries.  subscription-manager does not need usermode to work properly when invoked as root.

Perhaps this can be achieved by having a subscription-manager-minimal subpackage without the dependency, or some code which uses usermode only if it is available and the process is not already running as root.
Comment 1 Barnaby Court 2015-11-30 14:27:16 EST
We have a long term goal of not requiring root privileges for subscription management. Running as a non-root user would be in direct conflict with this request.
Comment 2 Florian Weimer 2015-11-30 14:51:49 EST
(In reply to Barnaby Court from comment #1)
> We have a long term goal of not requiring root privileges for subscription
> management. Running as a non-root user would be in direct conflict with this
> request.

Would you please clarify?  When run as non-root, subscription-manager prompts me for the root password, so I still need access to the root account in order to use it.
Comment 3 Barnaby Court 2016-12-26 21:52:33 EST
Running as non-root is a goal but is not an active bug in the current working of subscription-manager. There are aspects what subscription-manager does that require root permissions to do. If at some point we have a means to get around this requirement we will do so.

Note You need to log in before you can comment on or make changes to this bug.